Skip to main content
GET
/
account
Retrieve account information
curl --request GET \
  --url https://api-v2.ziina.com/api/account \
  --header 'Authorization: Bearer <token>'
{
  "account_id": "<UUID>",
  "account_type": "personal",
  "status": "active",
  "ziiname": "ziina_user",
  "display_name": "John Doe",
  "profile_picture_url": "https://example.com/profile.jpg"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ziina.com/llms.txt

Use this file to discover all available pages before exploring further.

Currently this endpoint works only with OAuth 2.0 flow.
In order to call this endpoint your token must have read_account scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

default - application/json

Successful response with account information

account_id
string

Unique identifier for the account

account_type
enum<string>

Type of the account

Available options:
personal,
business
status
enum<string>

Current status of the account

Available options:
onboarding,
active,
locked,
deleted,
restrictedTransfer
ziiname
string

Ziina username associated with the account

display_name
string

Display name of the account holder

profile_picture_url
string<url>

URL of the profile picture